Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.directwebremoting.impl
Class DefaultRemoter

    java.lang.Object
      org.directwebremoting.impl.DefaultRemoter

All Implemented Interfaces:
  Remoter

Direct Known Subclasses:
  ParallelDefaultRemoter

    public class DefaultRemoter

extends java.lang.Object
implements Remoter

In implementation of Remoter that delegates requests to a set of Modules

Author:
  Joe Walker [joe at getahead dot ltd dot uk], Mike Wilson

Constructor Summary
`DefaultRemoter()`

Method Summary
`Reply` | `execute(Call call)` Execute a single call object
`Replies` | `execute(Calls calls)` Execute a set of remote calls and generate set of reply data for later conversion to whatever wire protocol we are using today.
`java.lang.String` | `generateInterfaceScript(java.lang.String scriptName, java.lang.String path)` Generate some Javascript that forms an interface definition
`void` | `setAccessControl(AccessControl accessControl)` Accessor for the security manager
`void` | `setAjaxFilterManager(AjaxFilterManager ajaxFilterManager)` Accessor for the AjaxFilterManager
`void` | `setAllowImpossibleTests(boolean allowImpossibleTests)` Do we allow impossible tests for debug purposes
`void` | `setConverterManager(ConverterManager converterManager)` Accessor for the ConverterManager that we configure
`void` | `setCreatorManager(CreatorManager creatorManager)` Accessor for the CreatorManager that we configure
`void` | `setMaxCallCount(int maxCallCount)` To prevent a DoS attack we limit the max number of calls that can be made in a batch
`void` | `setOverridePath(java.lang.String overridePath)` If we need to override the default path

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultRemoter

    public DefaultRemoter()

Method Detail

### generateInterfaceScript

    public java.lang.String generateInterfaceScript(java.lang.String scriptName,
                                                    java.lang.String path)
                                             throws java.lang.SecurityException

  Description copied from interface: `Remoter`
  Generate some Javascript that forms an interface definition

  Specified by:
    `generateInterfaceScript` in interface `Remoter`
  Parameters:
    `scriptName` - The script to generate for
    `path` - The path of the requests.
  Returns:
    An interface javascript
  Throws:
    `java.lang.SecurityException`

### execute

    public Replies execute(Calls calls)

  Description copied from interface: `Remoter`
  Execute a set of remote calls and generate set of reply data for later conversion to whatever wire protocol we are using today.

  Specified by:
    `execute` in interface `Remoter`
  Parameters:
    `calls` - The set of calls to execute
  Returns:
    A set of reply data objects

### execute

    public Reply execute(Call call)

  Execute a single call object

  Parameters:
    `call` - The call to execute
  Returns:
    A Reply to the Call

### setCreatorManager

    public void setCreatorManager(CreatorManager creatorManager)

  Accessor for the CreatorManager that we configure

  Parameters:
    `creatorManager` - The new ConverterManager

### setConverterManager

    public void setConverterManager(ConverterManager converterManager)

  Accessor for the ConverterManager that we configure

  Parameters:
    `converterManager` - The new ConverterManager

### setAccessControl

    public void setAccessControl(AccessControl accessControl)

  Accessor for the security manager

  Parameters:
    `accessControl` - The accessControl to set.

### setAjaxFilterManager

    public void setAjaxFilterManager(AjaxFilterManager ajaxFilterManager)

  Accessor for the AjaxFilterManager

  Parameters:
    `ajaxFilterManager` - The AjaxFilterManager to set.

### setOverridePath

    public void setOverridePath(java.lang.String overridePath)

  If we need to override the default path

  Parameters:
    `overridePath` - The new override path

### setAllowImpossibleTests

    public void setAllowImpossibleTests(boolean allowImpossibleTests)

  Do we allow impossible tests for debug purposes

  Parameters:
    `allowImpossibleTests` - The allowImpossibleTests to set.

### setMaxCallCount

    public void setMaxCallCount(int maxCallCount)

  To prevent a DoS attack we limit the max number of calls that can be made in a batch

  Parameters:
    `maxCallCount` - the maxCallCount to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¬ 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD